#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests (installed package required)

%define module	zope.schema
Summary:	zope.interface extension for defining data schemas
Summary(pl.UTF-8):	Rozszerzenie zope.interface do definiowania schematów danych
Name:		python3-%{module}
Version:	7.0.1
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/z/zope.schema/zope.schema-%{version}.tar.gz
# Source0-md5:	d938af4000a89fa101d2f48f7a8fdd75
Patch0:		zope.schema-intersphinx.patch
URL:		https://www.zope.dev/
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.event
BuildRequires:	python3-zope.i18nmessageid
BuildRequires:	python3-zope.interface >= 5.0.0
BuildRequires:	python3-zope.testing
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-repoze.sphinx.autointerface
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
zope.interface extension for defining data schemas.

%description -l pl.UTF-8
Rozszerzenie zope.interface do definiowania schematów danych.

%package apidocs
Summary:	API documentation for Python zope.schema module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.schema
Group:		Documentation

%description apidocs
API documentation for Python zope.schema module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.schema.

%prep
%setup -q -n %{module}-%{version}
%patch -P0 -p1

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
zope-testrunner-3 --test-path=src -v
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/schema/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/schema
%{py3_sitescriptdir}/zope.schema-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.schema-%{version}-py*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.schema.git;a=log;h=master

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> a4343e4
- added patch to adjust intersphinx mapping

* Tue Apr 29 2025 Jakub Bogusz <qboosh@pld-linux.org> d6e0de5
- python-zope.schema.spec updated to 7.0.1 for python 3.7+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> c9dafe1
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4f52c01
- python 3.13 rebuild

* Tue Sep 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 3271906
- updated to 6.2.1

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> cdff60b
- updated docs (it seems that _modules dir is not created with Sphinx 4.5), fixed tests

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 048b329
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9cb5a05
- rebuild with python 3.10

* Wed Feb 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 0b755e2
- new

